Subject: Re: [dhcwg] WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 27 Nov 2012 22:01:43 +0000

Hi:

A few nits:
- In section 4, "The OPTION_RADIUS is a stateless DHCPv6 option, " have we really called options stateless or stateful? I am not sure the distinction is necessary or even proper?

- The text:
 "Note: The definition of the RADIUS attribute's 'Length' field in
   section 5 of [RFC2865] is different from that of DHCPv6 option's
   'option-len' field defined here."

Is a bit weird as option-len really has nothing to do with this. I'd suggest:

   Note: The definition of the RADIUS attribute's 'Length' field in
   section 5 of [RFC2865] includes the type and length fields.
  
I just figured it was worth reminding folks that the RADIUS attribute length is different.

- In section 3 and 5, RENEW/REBIND/RELAY-FORW is used whereas we usually use Renew/Rebind/Relay-Forw for DHCPv6 message names (mixed case), as was done earlier (in the diagrams).

- In several places "Should" is used when I think you intended to use "SHOULD"? (As per section 2 and RFC 2119).

- Why isn't the Delegated-IPv6-Prefix attribute (RFC 4818) included in the list?

- Bernie

-----Original Message-----
From: Leaf yeh [mailto:[email-masked]] 
Sent: Tuesday, November 27, 2012 1:31 AM
To: Bernie Volz (volz)
Subject: RE: WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

Hi Bernie,

Hope you've been back to work from the vacation. The attached (ver.-05) is for your review again and input the comments to [email-masked]. 

Based on the ver.-04 of draft(OPTION_RADIUS), the ver.-05 tries to solve the editorial comments from Ted Lemon and Roberta Maglione on the ML of DHC. 

The text change includes:

a.  Replace 'IETF Review' to be 'IETF Expert Review' in section 9; b.  Add 'New RADIUS attributes may be added to this list after the IETF Expert Review RFC5226].' into section 4.

Best Regards,
Leaf

-----Original Message-----
From: Bernie Volz (volz) [mailto:[email-masked]]
Sent: Tuesday, November 20, 2012 4:00 PM
To: Leaf yeh
Subject: Re: WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

I'm on vacation until 11/27. Ping me later that week if you don't hear anything from me.

On 11/18/12 10:01 PM, "Leaf yeh" <[email-masked]> wrote:

>Dear Bernie & Tomek,
>
>Would you like to review the draft (OPTION_RADIUS) and input your 
>comments again?
>
>
>Best Regards,
>Leaf
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf 
>Of Ted Lemon
>Sent: Wednesday, November 14, 2012 11:20 PM
>To: <[email-masked]> WG
>Subject: [dhcwg] WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04
>
>The authors of this document have requested a working group last call.
>The document describes a mechanism, similar to the mechanism in DHCPv4,
>for carrying RADIUS options in DHCP packets.   If this is of interest to
>you, please review the draft:
>
>	http://tools.ietf.org/html/draft-ietf-dhc-dhcpv6-radius-opt-04
>
>If you have comments, please send them to the working group mailing list.
>  If you are in favor of advancing the document as it is, please reply to
>this message and say so.   If you do not favor advancing the document,
>and do not have specific comments, please reply to this message 
>indicating that you don't favor advancing the document.
>
>Since the document has my name on it, John will be doing the evaluation
>of consensus.   He will do this on or after November 28.
>
>Thanks!
>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Leaf yeh <[email-masked]>
Date: Wed, 28 Nov 2012 02:06:00 +0000

Bernie - Why isn't the Delegated-IPv6-Prefix attribute (RFC 4818) included in the list?

The 2nd line of the list in section 4 shows:

Type Code  Attribute                   Reference
   26         Vendor-Specific             [RFC2865]
   123        Delegated-IPv6-Prefix       [RFC4818]
....
(https://datatracker.ietf.org/doc/draft-ietf-dhc-dhcpv6-radius-opt/?include_text=1) 

The other editorial comments will reply soon.

Best Regards,
Leaf

-----Original Message-----
From: Bernie Volz (volz) [mailto:[email-masked]] 
Sent: Wednesday, November 28, 2012 6:02 AM
To: Leaf yeh
Cc: [email-masked]
Subject: RE: WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

Hi:

A few nits:

- The text:

  

- Bernie

-----Original Message-----
From: Leaf yeh [mailto:[email-masked]] 
Sent: Tuesday, November 27, 2012 1:31 AM
To: Bernie Volz (volz)
Subject: RE: WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

Hi Bernie,

Best Regards,
Leaf

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 28 Nov 2012 03:07:41 +0000

Oops ... Sorry.

Sent from my iPad

---

From: Leaf yeh <[email-masked]>
Date: Wed, 28 Nov 2012 11:28:18 +0000

Bernie - In section 4, "The OPTION_RADIUS is a stateless DHCPv6 option, " have we really called options stateless or stateful? I am not sure the distinction is necessary or even proper?

We have the RFC3736, "Stateless Dynamic Host Configuration Protocol (DHCP) Service for IPv6". I think the 'stateless' in section 4 sounds the same meaning as that in RFC3736.

Bernie - I'd suggest:
   Note: The definition of the RADIUS attribute's 'Length' field in
   section 5 of [RFC2865] includes the type' and length fields.
I just figured it was worth reminding folks that the RADIUS attribute length is different.

I am ok with your text, even though I can't see the difference between yours and mine. It will be "Note: The definition of the RADIUS attribute's 'Length' field in section 5 of [RFC2865] includes the length of 'Type' and 'Length' fields."

Bernie - In section 3 and 5, RENEW/REBIND/RELAY-FORW is used whereas we usually use Renew/Rebind/Relay-Forw for DHCPv6 message names (mixed case), as was done earlier (in the diagrams).

I used the words defined in section 24.2 of RFC3315 for the text body in this draft. RELAY-FORW means Relay-forward message of DHCPv6, I regard they are exactly the same.

Bernie - In several places "Should" is used when I think you intended to use "SHOULD"? (As per section 2 and RFC 2119).

Appreciates. I found 2 'Should' will be replaced by 'SHOULD'.

Best Regards,
Leaf

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Leaf yeh
Sent: Wednesday, November 28, 2012 10:06 AM
To: Bernie Volz (volz)
Cc: [email-masked]
Subject: Re: [dhcwg] WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

Best Regards,
Leaf

-----Original Message-----
From: Bernie Volz (volz) [mailto:[email-masked]] 
Sent: Wednesday, November 28, 2012 6:02 AM
To: Leaf yeh
Cc: [email-masked]
Subject: RE: WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

Hi:

A few nits:

- The text:

  

- Bernie

-----Original Message-----
From: Leaf yeh [mailto:[email-masked]] 
Sent: Tuesday, November 27, 2012 1:31 AM
To: Bernie Volz (volz)
Subject: RE: WGLC: draft-ietf-dhc-dhcpv6-radius-opt-04

Hi Bernie,

Best Regards,
Leaf